#include <iostream> 
using namespace std;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	cout.tie(0);

	int N, L, H, i; int indeks = -1;
	cin >> N >> L;

	for (i = 0; i < N; i++) {
		cin >> H;
		if (H <= L) {
			indeks = i + 1;
			i++;
			break;
		}
	}
	
	for (; i < N; i++) cin >> H;

	cout << indeks;


	return 0;
}